%global dlrn_nvr ceilometermiddleware-1.5.0-1.20201113124738.fc21cde
%global dlrn 1
%define upstream_version 1.5.0
%{lua: posix.setenv("RHEL_ALLOW_PYTHON2_FOR_BUILD",1)}
# Macros for py2/py3 compatibility
%if 0%{?fedora} || 0%{?rhel} > 7
%global pyver %{python3_pkgversion}
%else
%global pyver 2
%endif
%global pyver_bin python%{pyver}
%global pyver_sitelib %{expand:%{python%{pyver}_sitelib}}
%global pyver_install %{expand:%{py%{pyver}_install}}
%global pyver_build %{expand:%{py%{pyver}_build}}
# End of macros for py2/py3 compatibility

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
%global pypi_name ceilometermiddleware

Name:           python-%{pypi_name}
Version: 1.5.0
Release: 1.20201113124738.fc21cde%{?dist}
Summary:        OpenStack Telemetry middleware for generating metrics
License:	ASL 2.0
URL:		http://github.com/openstack/%{pypi_name}
Source0: ceilometermiddleware-1.5.0-1.20201113124738.fc21cde.tar.gz
#
# patches_ignore=DROP-IN-RPM
# patches_base=fc21cde1c26bbb6c7abbc0890a88381aabed67fa

BuildArch:      noarch

%description
This library provides middleware modules designed to enable metric and event data
generation to be consumed by Ceilometer.

%package -n python%{pyver}-%{pypi_name}
Summary:        OpenStack Telemetry middleware for generating metrics
%{?python_provide:%python_provide python%{pyver}-%{pypi_name}}

BuildRequires:	python%{pyver}-setuptools
BuildRequires:  python%{pyver}-devel
BuildRequires:  python%{pyver}-pbr
# Required for running tests
BuildRequires:  python%{pyver}-mock
BuildRequires:  python%{pyver}-oslo-config >= 2:3.9.0
BuildRequires:  python%{pyver}-oslo-utils >= 2.0.0
BuildRequires:  python%{pyver}-oslo-messaging >= 5.2.0
BuildRequires:  python%{pyver}-oslotest
BuildRequires:  python%{pyver}-pycadf >= 1.1.0
BuildRequires:  python%{pyver}-six >= 1.9.0
BuildRequires:  python%{pyver}-testscenarios

Requires:       python%{pyver}-oslo-config >= 2:3.9.0
Requires:       python%{pyver}-oslo-utils >= 2.0.0
Requires:       python%{pyver}-oslo-messaging >= 5.2.0
Requires:       python%{pyver}-pbr
Requires:       python%{pyver}-pycadf >= 1.1.0
Requires:       python%{pyver}-six >= 1.9.0
Requires:       python%{pyver}-keystoneauth1 >= 2.18.0
Requires:       python%{pyver}-keystoneclient >= 3.8.0

%description -n python%{pyver}-%{pypi_name}
This library provides middleware modules designed to enable metric and event data
generation to be consumed by Ceilometer.

%prep
%setup -q -n %{pypi_name}-%{upstream_version}

%build
%{pyver_build}

%install
%{pyver_install}

%check
%{pyver_bin} setup.py test ||:

%files -n python%{pyver}-%{pypi_name}
%doc README.rst
%license LICENSE
%{pyver_sitelib}/%{pypi_name}
%{pyver_sitelib}/%{pypi_name}*.egg-info

%changelog
* Fri Nov 13 2020 OSP Prod Chain <dev-null@redhat.com> 1.5.0-2
- Update patches

* Tue Mar 10 2020 OSP Prod Chain <dev-null@redhat.com> 1.5.0-2
- Update patches

* Fri Feb 21 2020 OSP Prod Chain <dev-null@redhat.com> 1.5.0-2
- Update patches

* Fri Oct 04 2019 OSP Prod Chain <dev-null@redhat.com> 1.5.0-2
- Update patches

* Thu Oct 03 2019 Joel Capitao <jcapitao@redhat.com> 1.5.0-2
- Removed python2 subpackages in no el7 distros

* Mon Sep 23 2019 RDO <dev@lists.rdoproject.org> 1.5.0-1
- Update to 1.5.0

